Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.align
Class AlignmentGlobalSum

    java.lang.Object
      fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>
          fr.inrialpes.exmo.ontosim.align.AlignmentGlobalSum

All Implemented Interfaces:
  AlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>, Measure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

    public class AlignmentGlobalSum

extends AbstractAlignmentSpaceMeasure<fr.inrialpes.exmo.ontowrap.LoadedOntology<?>>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary

Fields inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`measureMatrix, network`

Constructor Summary
`AlignmentGlobalSum()`

Method Summary
`double` | `getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`double` | `getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`double` | `getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2, org.semanticweb.owl.align.Alignment al)` Similarity version of delta_gm issued from the j.euzenat paper
`Measure.TYPES` | `getMType()`
`double` | `getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1, fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)`
`Measure.TYPES` | `getSubMeasureType()`
`protected double` | `getSumAlign(org.semanticweb.owl.align.Alignment a)`

Methods inherited from class fr.inrialpes.exmo.ontosim.align.AbstractAlignmentSpaceMeasure
`addAlignment, getAlignments, setAlignmentSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlignmentGlobalSum

    public AlignmentGlobalSum()

Method Detail

### getSumAlign

    protected double getSumAlign(org.semanticweb.owl.align.Alignment a)

### getMeasureValue

    public double getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                                  fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2,
                                  org.semanticweb.owl.align.Alignment al)
                           throws OntoSimException

  Similarity version of delta_gm issued from the j.euzenat paper

  Parameters:
    `o1` -
    `o2` -
    `al` -
  Returns:
  Throws:
    `OntoSimException`

### getDissim

    public double getDissim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                            fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getMeasureValue

    public double getMeasureValue(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                                  fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getSim

    public double getSim(fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o1,
                         fr.inrialpes.exmo.ontowrap.LoadedOntology<?> o2)

### getMType

    public Measure.TYPES getMType()

### getSubMeasureType

    public Measure.TYPES getSubMeasureType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009